summaryrefslogtreecommitdiffstats
path: root/source/n/php
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/php')
-rw-r--r--source/n/php/doinst.sh2
-rwxr-xr-xsource/n/php/fetch-php.sh1
-rwxr-xr-xsource/n/php/php.SlackBuild60
-rw-r--r--source/n/php/php.gd_libpng-1.4.diff12
-rw-r--r--source/n/php/php.gmp5.diff11
-rw-r--r--source/n/php/php.ini-development.diff47
-rw-r--r--source/n/php/php.ini.diff114
-rw-r--r--source/n/php/php.recommended.ini.diff114
-rw-r--r--source/n/php/php.session.save_path.diff22
9 files changed, 91 insertions, 292 deletions
diff --git a/source/n/php/doinst.sh b/source/n/php/doinst.sh
index 15f611b52..eda8b0de9 100644
--- a/source/n/php/doinst.sh
+++ b/source/n/php/doinst.sh
@@ -4,5 +4,5 @@ elif [ "`cat etc/httpd/mod_php.conf 2> /dev/null`" = "" ]; then
cp -a etc/httpd/mod_php.conf.example etc/httpd/mod_php.conf
fi
if [ ! -r etc/httpd/php.ini ]; then
- cp -a etc/httpd/php.ini-recommended etc/httpd/php.ini
+ cp -a etc/httpd/php.ini-production etc/httpd/php.ini
fi
diff --git a/source/n/php/fetch-php.sh b/source/n/php/fetch-php.sh
new file mode 100755
index 000000000..5833da49c
--- /dev/null
+++ b/source/n/php/fetch-php.sh
@@ -0,0 +1 @@
+lftpget http://us2.php.net/distributions/php-5.3.6.tar.bz2
diff --git a/source/n/php/php.SlackBuild b/source/n/php/php.SlackBuild
index dc0b74bbd..7a1fc1fd6 100755
--- a/source/n/php/php.SlackBuild
+++ b/source/n/php/php.SlackBuild
@@ -3,7 +3,7 @@
# Build and package mod_php on Slackware.
# by: David Cantrell <david@slackware.com>
# Modified for PHP 4-5 by volkerdi@slackware.com
-# Copyright 2007, 2008, 2009, 2010 Patrick Volkerding, Sebeka, MN, USA
+# Copyright 2007, 2008, 2009, 2010, 2011 Patrick Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,9 +24,9 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=5.2.13
+VERSION=5.3.6
ALPINE=2.00
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-6}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -95,8 +95,8 @@ rm -rf php-$VERSION
tar xvf $CWD/php-$VERSION.tar.?z* || exit 1
cd php-$VERSION
-zcat $CWD/php.gmp5.diff.gz | patch -p1 --verbose || exit 1
-zcat $CWD/php.gd_libpng-1.4.diff.gz | patch -p1 --verbose || exit 1
+# cleanup:
+find . -name "*.orig" -delete
# Add missing(?) PEAR modules back:
if [ -d php-$VERSION/pear/packages ]; then
@@ -124,12 +124,9 @@ find . -name "*.h" -exec chmod 644 {} \;
find . -name "*.orig" -exec rm {} \;
# Patch ini files:
-zcat $CWD/php.ini.diff.gz \
- | sed -e "s#usr/lib/php#usr/lib${LIBDIRSUFFIX}/php#" \
- | patch -p1 --verbose --backup --suffix=.orig || exit 1
-zcat $CWD/php.recommended.ini.diff.gz \
- | sed -e "s#usr/lib/php#usr/lib${LIBDIRSUFFIX}/php#" \
- | patch -p1 --verbose --backup --suffix=.orig || exit 1
+zcat $CWD/php.ini-development.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/php.ini-development.diff.gz | patch -p1 --verbose php.ini-production || exit 1
+zcat $CWD/php.session.save_path.diff.gz | patch -p1 --verbose || exit 1
# Generic "kitchen sink" configure function, with as many things as possible (and
# maybe then some ;-) compiled as shared extensions:
@@ -155,7 +152,6 @@ CFLAGS="$SLKCFLAGS" \
--enable-xml \
--with-libxml-dir=/usr \
--enable-simplexml \
- --enable-spl \
--enable-filter \
--disable-debug \
--with-openssl=shared \
@@ -171,7 +167,6 @@ CFLAGS="$SLKCFLAGS" \
--enable-dba=shared \
--with-gdbm=/usr \
--with-db4=/usr \
- --enable-dbase=shared \
--enable-exif=shared \
--enable-ftp=shared \
--with-gd=shared \
@@ -191,19 +186,21 @@ CFLAGS="$SLKCFLAGS" \
--with-ldap=shared \
--enable-mbstring=shared \
--enable-hash \
- --with-mhash=shared,/usr \
- --with-mysql=shared,/usr \
- --with-mysqli=shared,/usr/bin/mysql_config \
+ --with-mysql=shared,mysqlnd \
+ --with-mysqli=shared,mysqlnd \
+ --with-mysql-sock=/var/run/mysql/mysql.sock \
--enable-pdo=shared \
- --with-pdo-mysql=shared,/usr \
+ --with-pdo-mysql=shared,mysqlnd \
--with-pdo-sqlite=shared,/usr \
--with-pspell=shared,/usr \
+ --with-enchant=shared,/usr \
--with-mm=/usr \
--enable-shmop=shared \
--with-snmp=shared,/usr \
--enable-soap=shared \
--enable-sockets \
--with-sqlite=shared \
+ --with-sqlite3=shared \
--enable-sqlite-utf8 \
--with-regex=php \
--enable-sysvmsg \
@@ -232,44 +229,26 @@ php_configure \
make $NUMJOBS || make || exit 1
make install INSTALL_ROOT=$PKG || exit 1
-# Make the CLI version of PHP:
+# Make the CLI/CGI version of PHP:
make distclean
php_configure \
- --enable-force-cgi-redirect \
--enable-pcntl \
--enable-sigchild
make $NUMJOBS || make || exit 1
mkdir -p $PKG/usr/bin
cat ./sapi/cli/php > $PKG/usr/bin/php
+cat ./sapi/cgi/php-cgi > $PKG/usr/bin/php-cgi
chmod 755 $PKG/usr/bin/php
-
-# Make the FastCGI interpreter:
-make distclean
-php_configure \
- --enable-fastcgi \
- --enable-pcntl \
- --enable-sigchild
-make $NUMJOBS || make || exit 1
-mkdir -p $PKG/usr/bin
-cat sapi/cgi/php-cgi > $PKG/usr/bin/php-cgi
chmod 755 $PKG/usr/bin/php-cgi
# PHP (used to) install Pear with some strange permissions.
chmod 755 $PKG/usr/bin/pear
-
+
# PHP sometimes puts junk in the root directory:
( cd $PKG
rm -rf .channels .depdb .depdblock .filemap .lock .registry
)
-## Fix a couple broken .reg files in php-5.2.10:
-#if ! grep -q Download $PKG/usr/lib${LIBDIRSUFFIX}/php/.channels/pear.php.net.reg ; then
-# cat $CWD/channels/pear.php.net.reg > $PKG/usr/lib${LIBDIRSUFFIX}/php/.channels/pear.php.net.reg
-#fi
-#if ! grep -q Download $PKG/usr/lib${LIBDIRSUFFIX}/php/.channels/pecl.php.net.reg ; then
-# cat $CWD/channels/pecl.php.net.reg > $PKG/usr/lib${LIBDIRSUFFIX}/php/.channels/pecl.php.net.reg
-#fi
-
# Fix $PKG/usr/lib/php perms:
( cd $PKG/usr/lib${LIBDIRSUFFIX}/php
find . \
@@ -281,13 +260,14 @@ chmod 755 $PKG/usr/bin/pear
mkdir -p $PKG/usr/doc/php-$VERSION
cp -a \
- CODING_STANDARDS CREDITS EXTENSIONS INSTALL LICENSE NEWS README* TODO* \
+ CODING_STANDARDS CREDITS EXTENSIONS INSTALL LICENSE NEWS README* TODO* UPGRADING* \
sapi/cgi/README.FastCGI \
$PKG/usr/doc/php-$VERSION
chown -R root:root $PKG/usr/doc/php-$VERSION
+chmod 644 $PKG/usr/doc/php-$VERSION/UPGRADING*
mkdir -p $PKG/etc/httpd
-cp -a php.ini-dist php.ini-recommended $PKG/etc/httpd
+cp -a php.ini-development php.ini-production $PKG/etc/httpd
cat $CWD/mod_php.conf.example | sed -e "s#lib/httpd#lib${LIBDIRSUFFIX}/httpd#" \
> $PKG/etc/httpd/mod_php.conf.example
chmod 644 $PKG/etc/httpd/*
diff --git a/source/n/php/php.gd_libpng-1.4.diff b/source/n/php/php.gd_libpng-1.4.diff
deleted file mode 100644
index a591b7331..000000000
--- a/source/n/php/php.gd_libpng-1.4.diff
+++ /dev/null
@@ -1,12 +0,0 @@
-diff -ru php-5.2.13.orig/ext/gd/libgd/gd_png.c php-5.2.13/ext/gd/libgd/gd_png.c
---- php-5.2.13.orig/ext/gd/libgd/gd_png.c 2009-03-14 12:48:42.000000000 -0500
-+++ php-5.2.13/ext/gd/libgd/gd_png.c 2010-03-21 02:17:03.000000000 -0500
-@@ -139,7 +139,7 @@
- return NULL;
- }
-
-- if (!png_check_sig (sig, 8)) { /* bad signature */
-+ if (png_sig_cmp (sig, 0, 8)) { /* bad signature */
- return NULL;
- }
-
diff --git a/source/n/php/php.gmp5.diff b/source/n/php/php.gmp5.diff
deleted file mode 100644
index f77dd33a1..000000000
--- a/source/n/php/php.gmp5.diff
+++ /dev/null
@@ -1,11 +0,0 @@
---- ./ext/gmp/gmp.c.orig 2010-01-03 03:23:27.000000000 -0600
-+++ ./ext/gmp/gmp.c 2010-03-05 21:27:46.000000000 -0600
-@@ -1396,7 +1396,7 @@
-
- GMPG(rand_initialized) = 1;
- }
-- mpz_urandomb(*gmpnum_result, GMPG(rand_state), GMP_ABS (limiter) * __GMP_BITS_PER_MP_LIMB);
-+ mpz_urandomb(*gmpnum_result, GMPG(rand_state), GMP_ABS (limiter) * GMP_LIMB_BITS);
-
- ZEND_REGISTER_RESOURCE(return_value, gmpnum_result, le_gmp);
- }
diff --git a/source/n/php/php.ini-development.diff b/source/n/php/php.ini-development.diff
new file mode 100644
index 000000000..49b441e6b
--- /dev/null
+++ b/source/n/php/php.ini-development.diff
@@ -0,0 +1,47 @@
+--- ./php.ini-development.orig 2011-02-08 18:25:44.000000000 -0600
++++ ./php.ini-development 2011-04-01 22:42:50.000000000 -0500
+@@ -938,6 +938,44 @@
+ ; If you only provide the name of the extension, PHP will look for it in its
+ ; default extension directory.
+ ;
++
++; These are the extensions that are available for use on this PHP build.
++; If you do NOT need any of these extensions, you should comment them out.
++; That will probably increase both your security and performance.
++
++extension=bcmath.so
++extension=bz2.so
++extension=calendar.so
++extension=ctype.so
++extension=curl.so
++extension=dba.so
++extension=enchant.so
++extension=exif.so
++extension=ftp.so
++extension=gd.so
++extension=gettext.so
++extension=gmp.so
++extension=iconv.so
++extension=ldap.so
++extension=mbstring.so
++extension=mysql.so
++extension=mysqli.so
++extension=openssl.so
++extension=pdo.so
++extension=pdo_mysql.so
++extension=pdo_sqlite.so
++extension=pspell.so
++extension=shmop.so
++extension=snmp.so
++extension=soap.so
++extension=sqlite.so
++extension=sqlite3.so
++extension=tokenizer.so
++extension=wddx.so
++extension=xsl.so
++extension=zip.so
++extension=zlib.so
++
+ ; Windows Extensions
+ ; Note that ODBC support is built in, so no dll is needed for it.
+ ; Note that many DLL files are located in the extensions/ (PHP 4) ext/ (PHP 5)
diff --git a/source/n/php/php.ini.diff b/source/n/php/php.ini.diff
deleted file mode 100644
index fe01df22c..000000000
--- a/source/n/php/php.ini.diff
+++ /dev/null
@@ -1,114 +0,0 @@
---- ./php.ini-dist.orig 2007-05-27 13:04:10.000000000 -0500
-+++ ./php.ini-dist 2007-06-28 23:43:02.000000000 -0500
-@@ -473,7 +473,7 @@
- user_dir =
-
- ; Directory in which the loadable extensions (modules) reside.
--extension_dir = "./"
-+extension_dir = "/usr/lib/php/extensions/"
-
- ; Whether or not to enable the dl() function. The dl() function does NOT work
- ; properly in multithreaded servers, such as IIS or Zeus, and is automatically
-@@ -585,58 +585,43 @@
- ; needs to go here. Specify the location of the extension with the
- ; extension_dir directive above.
-
-+; These are the extensions that are available for use on this PHP build.
-+; If you do NOT need any of these extensions, you should comment them out.
-+; That will probably increase both your security and performance.
-+
-+extension=bcmath.so
-+extension=bz2.so
-+extension=calendar.so
-+extension=ctype.so
-+extension=curl.so
-+extension=dba.so
-+extension=dbase.so
-+extension=exif.so
-+extension=ftp.so
-+extension=gettext.so
-+extension=gd.so
-+extension=gmp.so
-+extension=iconv.so
-+extension=ldap.so
-+extension=mbstring.so
-+extension=mhash.so
-+extension=mysql.so
-+extension=mysqli.so
-+extension=openssl.so
-+extension=pdo.so
-+extension=pdo_mysql.so
-+extension=pdo_sqlite.so
-+extension=pspell.so
-+extension=shmop.so
-+extension=snmp.so
-+extension=soap.so
-+extension=sqlite.so
-+extension=tokenizer.so
-+extension=wddx.so
-+extension=xsl.so
-+extension=zip.so
-+extension=zlib.so
-
--; Windows Extensions
--; Note that ODBC support is built in, so no dll is needed for it.
--; Note that many DLL files are located in the extensions/ (PHP 4) ext/ (PHP 5)
--; extension folders as well as the separate PECL DLL download (PHP 5).
--; Be sure to appropriately set the extension_dir directive.
--
--;extension=php_bz2.dll
--;extension=php_curl.dll
--;extension=php_dba.dll
--;extension=php_dbase.dll
--;extension=php_exif.dll
--;extension=php_fdf.dll
--;extension=php_gd2.dll
--;extension=php_gettext.dll
--;extension=php_gmp.dll
--;extension=php_ifx.dll
--;extension=php_imap.dll
--;extension=php_interbase.dll
--;extension=php_ldap.dll
--;extension=php_mbstring.dll
--;extension=php_mcrypt.dll
--;extension=php_mhash.dll
--;extension=php_mime_magic.dll
--;extension=php_ming.dll
--;extension=php_msql.dll
--;extension=php_mssql.dll
--;extension=php_mysql.dll
--;extension=php_mysqli.dll
--;extension=php_oci8.dll
--;extension=php_openssl.dll
--;extension=php_pdo.dll
--;extension=php_pdo_firebird.dll
--;extension=php_pdo_mssql.dll
--;extension=php_pdo_mysql.dll
--;extension=php_pdo_oci.dll
--;extension=php_pdo_oci8.dll
--;extension=php_pdo_odbc.dll
--;extension=php_pdo_pgsql.dll
--;extension=php_pdo_sqlite.dll
--;extension=php_pgsql.dll
--;extension=php_pspell.dll
--;extension=php_shmop.dll
--;extension=php_snmp.dll
--;extension=php_soap.dll
--;extension=php_sockets.dll
--;extension=php_sqlite.dll
--;extension=php_sybase_ct.dll
--;extension=php_tidy.dll
--;extension=php_xmlrpc.dll
--;extension=php_xsl.dll
--;extension=php_zip.dll
-
- ;;;;;;;;;;;;;;;;;;;
- ; Module Settings ;
-@@ -979,6 +964,7 @@
- ; where MODE is the octal representation of the mode. Note that this
- ; does not overwrite the process's umask.
- ;session.save_path = "/tmp"
-+session.save_path = "/var/lib/php"
-
- ; Whether to use cookies.
- session.use_cookies = 1
diff --git a/source/n/php/php.recommended.ini.diff b/source/n/php/php.recommended.ini.diff
deleted file mode 100644
index 80469447f..000000000
--- a/source/n/php/php.recommended.ini.diff
+++ /dev/null
@@ -1,114 +0,0 @@
---- ./php.ini-recommended.orig 2007-05-27 13:04:10.000000000 -0500
-+++ ./php.ini-recommended 2007-06-29 00:14:12.000000000 -0500
-@@ -521,7 +521,7 @@
- user_dir =
-
- ; Directory in which the loadable extensions (modules) reside.
--extension_dir = "./"
-+extension_dir = "/usr/lib/php/extensions/"
-
- ; Whether or not to enable the dl() function. The dl() function does NOT work
- ; properly in multithreaded servers, such as IIS or Zeus, and is automatically
-@@ -633,58 +633,43 @@
- ; needs to go here. Specify the location of the extension with the
- ; extension_dir directive above.
-
-+; These are the extensions that are available for use on this PHP build.
-+; If you do NOT need any of these extensions, you should comment them out.
-+; That will probably increase both your security and performance.
-+
-+extension=bcmath.so
-+extension=bz2.so
-+extension=calendar.so
-+extension=ctype.so
-+extension=curl.so
-+extension=dba.so
-+extension=dbase.so
-+extension=exif.so
-+extension=ftp.so
-+extension=gettext.so
-+extension=gd.so
-+extension=gmp.so
-+extension=iconv.so
-+extension=ldap.so
-+extension=mbstring.so
-+extension=mhash.so
-+extension=mysql.so
-+extension=mysqli.so
-+extension=openssl.so
-+extension=pdo.so
-+extension=pdo_mysql.so
-+extension=pdo_sqlite.so
-+extension=pspell.so
-+extension=shmop.so
-+extension=snmp.so
-+extension=soap.so
-+extension=sqlite.so
-+extension=tokenizer.so
-+extension=wddx.so
-+extension=xsl.so
-+extension=zip.so
-+extension=zlib.so
-
--; Windows Extensions
--; Note that ODBC support is built in, so no dll is needed for it.
--; Note that many DLL files are located in the extensions/ (PHP 4) ext/ (PHP 5)
--; extension folders as well as the separate PECL DLL download (PHP 5).
--; Be sure to appropriately set the extension_dir directive.
--
--;extension=php_bz2.dll
--;extension=php_curl.dll
--;extension=php_dba.dll
--;extension=php_dbase.dll
--;extension=php_exif.dll
--;extension=php_fdf.dll
--;extension=php_gd2.dll
--;extension=php_gettext.dll
--;extension=php_gmp.dll
--;extension=php_ifx.dll
--;extension=php_imap.dll
--;extension=php_interbase.dll
--;extension=php_ldap.dll
--;extension=php_mbstring.dll
--;extension=php_mcrypt.dll
--;extension=php_mhash.dll
--;extension=php_mime_magic.dll
--;extension=php_ming.dll
--;extension=php_msql.dll
--;extension=php_mssql.dll
--;extension=php_mysql.dll
--;extension=php_mysqli.dll
--;extension=php_oci8.dll
--;extension=php_openssl.dll
--;extension=php_pdo.dll
--;extension=php_pdo_firebird.dll
--;extension=php_pdo_mssql.dll
--;extension=php_pdo_mysql.dll
--;extension=php_pdo_oci.dll
--;extension=php_pdo_oci8.dll
--;extension=php_pdo_odbc.dll
--;extension=php_pdo_pgsql.dll
--;extension=php_pdo_sqlite.dll
--;extension=php_pgsql.dll
--;extension=php_pspell.dll
--;extension=php_shmop.dll
--;extension=php_snmp.dll
--;extension=php_soap.dll
--;extension=php_sockets.dll
--;extension=php_sqlite.dll
--;extension=php_sybase_ct.dll
--;extension=php_tidy.dll
--;extension=php_xmlrpc.dll
--;extension=php_xsl.dll
--;extension=php_zip.dll
-
- ;;;;;;;;;;;;;;;;;;;
- ; Module Settings ;
-@@ -1027,6 +1012,7 @@
- ; where MODE is the octal representation of the mode. Note that this
- ; does not overwrite the process's umask.
- ;session.save_path = "/tmp"
-+session.save_path = "/var/lib/php"
-
- ; Whether to use cookies.
- session.use_cookies = 1
diff --git a/source/n/php/php.session.save_path.diff b/source/n/php/php.session.save_path.diff
new file mode 100644
index 000000000..60d6f072e
--- /dev/null
+++ b/source/n/php/php.session.save_path.diff
@@ -0,0 +1,22 @@
+--- ./php.ini-development.orig 2011-04-14 14:26:44.551000001 -0500
++++ ./php.ini-development 2011-04-14 14:38:48.591000954 -0500
+@@ -1506,7 +1506,7 @@
+ ; where MODE is the octal representation of the mode. Note that this
+ ; does not overwrite the process's umask.
+ ; http://php.net/session.save-path
+-;session.save_path = "/tmp"
++session.save_path = "/var/lib/php"
+
+ ; Whether to use cookies.
+ ; http://php.net/session.use-cookies
+--- ./php.ini-production.orig 2011-04-14 14:26:44.558000001 -0500
++++ ./php.ini-production 2011-04-14 14:39:09.598999155 -0500
+@@ -1513,7 +1513,7 @@
+ ; where MODE is the octal representation of the mode. Note that this
+ ; does not overwrite the process's umask.
+ ; http://php.net/session.save-path
+-;session.save_path = "/tmp"
++session.save_path = "/var/lib/php"
+
+ ; Whether to use cookies.
+ ; http://php.net/session.use-cookies